Subject: Re: [MOBILE-IP] RFC2344bis support of Dynamic Home Agent Assignm ent

From: Basavaraj Patil <[email-masked]>
Date: Thu, 24 Feb 2000 16:54:11 -0600

Comments below:

>"Yingchun Xu" <[email-masked]> wrote:
>> It seems that you forget to make the change in section 5.1.2 and 5.2.2
for
>> dynamic home agent assignment.
>> The orginal text:
>>
>> "IP Destination Address
>>
>>          Copied from the Home Agent field within the Registration
>>                   Request."
>>
>> should be:
>>
>> "IP Destination Address
>>
>>          Copied from the Home Agent field within the Registration
>>                   Reply."
>
>i did not forget, but had interpreted the included msg below from raj to
>mean that this particular change was not warranted. but since we're
modifying
>2344 for private addresses already, it would make sense to put this
>very slight change in, specially as it brings things more in line
>with existing text on encapsulating delivery style:
>
>section 5.2.2, for the packet format between MN->FA:
>
>      IP Destination Address
>
>         The address of the agent as learned from the IP source address
>         of the agent's most recent registration reply.
>
>i propose to add "successful" to the above and use this:
>
>         The address of the agent as learned from the IP source address
>         of the agent's most recent successful registration reply.
>                                    ^^^^^^^^^^
>
>as for the text you're concerned with in 5.1.2 and 5.2.2, i propose this
>for the header between FA->HA (add "successful" to your suggestion):
>
>      IP Destination Address
>
>         Copied from the Home Agent field within the most recent
>         successful Registration Reply.
>         ^^^^^^^^^^^
>
>if there are no objections, i will make these very slight changes to
>rfc2344bis before adelaide. this does seem like a safer way of doing
things,
>and since we were already doing it this way for the MN->FA in section
5.2.2,
>i bet not doing so for the FA->HA headers in 5.1.2 and 5.2.2 was just an
oversight.
>tnx,
>-gabriel

Gabriel,

Please go ahead and make the changes. I agree with your observations
here.

-Basavaraj